module V1
  class WelcomeController < ApplicationController
    def call(_req)
      # TODO: don't re-evaluate the markdown file on every request; we should generate the page once and cache it
      render html:
        <<~HTML
          <!DOCTYPE html>
          <html>
            <head>
            </head>
            <body>
              #{Commonmarker.to_html File.read(File.join(ROOT, 'README.md'))}
            </body>
          </html>
        HTML
    end
  end
end
